#include <iostream>
#include <cassert>
#include "expman.h"

using namespace std;

int main() {
    expman e;
    assert(e.isBalanced("{ { [ ( ) ] } ( ) }") == true);
    assert(e.isBalanced("{ [ ) }") == false);
    assert(e.isBalanced("{ ( [ ] } )") == false);
    assert(e.isBalanced("{") == false);
    return 0;
}
